Get crypto wallets that belong to your business. Required scope: crypto-wallet:read.
Authorization
oauth2ClientCredentials crypto-wallet:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-wallet:read
Response Body
application/json
List crypto wallets
curl --request GET \ --url 'https://example.com/api/external/crypto/wallets'{ "message": "Crypto wallets retrieved successfully.", "data": [ { "id": "wallet-id", "asset": { "id": 1, "symbol": "USDC", "name": "USD Coin", "decimals": 6 }, "balance": "250.000000", "is_active": true, "created_at": "2026-08-12T20:00:00.000000Z", "updated_at": "2026-08-12T20:00:00.000000Z" } ]}GETList crypto assets
Get active crypto assets and active networks. Required scope: `crypto-asset:read`. To fund a fiat wallet with crypto, use [Crypto funding](/docs/payments/collection/crypto-funding/initiate-crypto-collection) under Payments instead.
GETGet a crypto wallet
Get a crypto wallet. Required scope: `crypto-wallet:read`.